#pragma once

//#ifndef __PARSER_H
//#define __PARSER_H

#ifdef __WATCOMC__
#pragma library("misc.lib")
#endif

#ifdef __cplusplus
extern "C" {
#endif
//---------------------------------------------------------------------------//

struct s_PARSE
{
	char *text;
};

typedef struct s_PARSE PARSE;

PARSE *parse_init(char *s);
void parse_exit(PARSE *p);
char *parse_get(PARSE *p, char *s);
char *parse_peek(PARSE *p, char *s);
char *parse_safeget(PARSE *p, char *s);
char *parse_safepeek(PARSE *p, char *s);
int parse_geti(PARSE *p);
float parse_getf(PARSE *p);
void parse_this(PARSE *p, char *s);
int parse_case(char *tok, char *s);

//---------------------------------------------------------------------------//
#ifdef __cplusplus
}
#endif
//#endif
